declare class AbortError extends Error {
    constructor(message?: string);
    name: string;
}
export declare const throwIfAborted: (signal?: AbortSignal) => void;
export declare const createCancelError: (message?: string) => AbortError;
export declare function isCancelError(error: any): error is AbortError;
export declare function raceWithAbort<T>(promise: Promise<T>, signal: AbortSignal): Promise<T>;
export declare function cancellableWait(ms: number, signal: AbortSignal): Promise<void>;
export {};
//# sourceMappingURL=cancellable-promise.d.ts.map